%define major     8
%define libname   %mklibname ksba %{major}
%define develname %mklibname ksba -d

Summary:        Library handling X.509 certificates and CMS data
Name:           libksba
Version:        1.6.5
Release:        %mkrel 1
License:        GPLv3
Group:          System/Libraries
URL:            https://www.gnupg.org/
Source0:        https://gnupg.org/ftp/gcrypt/%{name}/%{name}-%{version}.tar.xz
BuildRequires:  libgpg-error-devel
BuildRequires:  multiarch-utils

%description
KSBA is a library designed to build software based
on the X.509 and CMS protocols.

%package -n %{libname}
Summary:        Library handling X.509 certificates and CMS data
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
KSBA is a library designed to build software based
on the X.509 and CMS protocols.

%package -n %{develname}
Summary:        Development files for %{name} package
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       ksba-devel = %{version}-%{release}

%description -n %{develname}
KSBA is a library designed to build software based
on the X.509 and CMS protocols.

This package contains files needed to develop
applications using %{name} (For example Ägypten project).

%prep
%setup -q

%build
%configure2_5x --disable-static
%make_build

%install
%make_install

%multiarch_binaries %{buildroot}%{_bindir}/ksba-config

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%multiarch %{multiarch_bindir}/ksba-config
%{_bindir}/ksba-config
%{_datadir}/aclocal/*
%{_includedir}/*.h
%{_infodir}/*.info*
%{_libdir}/*.so
%{_libdir}/pkgconfig/ksba.pc


%changelog
* Mon Nov 27 2023 tex -daviddavid <daviddavid> 1.6.5-1pclos2023
- new version: 1.6.5
